<?php

	require_once __DIR__ . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'config.php';

	$mysqli = new mysqli( $hostname, $username, $password, $database );

	$mysqli-> set_charset( $charset );

	$result = $mysqli-> query( "SELECT * FROM `" . $prefix . "profiles` ORDER BY `profile_id` DESC" );

	$row = $result-> fetch_assoc();

	$json = $row[ 'json' ];

	$profiles = json_decode( $json, true );

	$profiles_html = '<h1 class="text-center text-light m-2 mb-0">Current Scraper Session</h1><div class="text-center"><ul class="d-inline-block list-group p-2">';

	$id = 0;
	$i = 1;

    $rss_list = '';

	foreach( $profiles as $profile ) {
	    
	    $rss_list.= 'http://' . $_SERVER[ 'HTTP_HOST' ] . '/rss/?profile_username=' . $profile[ 'uri' ] . PHP_EOL;

		$class = $profile[ 'done' ] > 0 ? ' list-group-item-success' : ' list-group-item-light';

		if( $profile[ 'done' ] == 1 && $profiles[ ($id+1) ][ 'done' ] == 0 ) {
			$class = ' list-group-item-warning';
		}

		$profiles_html.= '<li class="text-start list-group-item' . $class . '">' . $i . '/' . count( $profiles ) . '. ' . $profile[ 'name' ] . '</li>';

		$id++;
		$i++;

	}

	$profiles_html.= '</ul></div>';

?>
<!DOCTYPE html>
<html lang="en">

	<head>

		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<title>Admin</title>
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous" />
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css" />

		<style>

			body { background-color: black }

		</style>

	</head>

	<body>
